Article ID: 117281, created on Mar 18, 2014, last review on Aug 12, 2014

  • Applies to:
  • Odin Business Automation Standard 4.5
  • Plesk 11.0 for Linux
  • Plesk 11.5 for Linux
  • Plesk 11.0 for Windows
  • Plesk 11.5 for Windows

Síntomas

Este artículo es aplicable a Parallels Plesk Panel (Plesk) 11.0.9 o a una versión posterior registrada en Parallels Business Automation - Standard (PBA-S) 4.3 o una versión posterior.

Los pedidos de Plesk no pueden completarse debido al siguiente error (Arriba > Director de configuración > Registro y errores > Registro de acciones):

Su contraseña no es suficientemente compleja. De acuerdo con la directiva del servidor, la seguridad mínima de la contraseña debe ser Segura. Para mejorar la seguridad de la contraseña, use número, caracteres en mayúsculas y minúsculas y caracteres especiales como por ejemplo !,@,#,$,%,^,&,*,?,_,~

Causa

La "Seguridad mínima de la contraseña" se ha establecido a "Segura" o "Muy segura" en Parallels Plesk Panel (Plesk > Herramientas y configuración > Directiva de seguridad):

1. La "seguridad mínima de la contraseña" es "Segura"

a) Las contraseñas poco seguras de Plesk se almacenan en la base de datos de PBA-S. A partir de Parallels Plesk Panel 11.0.9, todas las contraseñas se almacenan de forma cifrada, mientras que anteriormente se guardaban como "texto claro".

b) Contraseñas poco seguras de los usuarios FTP de los dominios en Plesk. Por diseño, durante el procesamiento de pedidos, PBA-S recibe la contraseña poco segura de Plesk (no almacenada en PBA-S) y la reenvía. En el registro de PBAS-S pueden verse los siguientes errores:

<packet version="1.6.3.5"><webspace>
<set>
<filter><id>586</id>
</filter>
<values>
<gen_setup><status>0</status>
<owner-id>450</owner-id>
<name>%domain.tld%</name>
<ip_address>123.123.123.123</ip_address>
...
</limits>
<hosting><vrt_hst>
<property><name>ftp_login</name><value>%ftp_user%</value></property>
<property><name>ftp_password</name><value>%weak_ftp_password%</value></property>         

<?xml version="1.0" encoding="UTF-8"?>
<packet version="1.6.3.5"><webspace><set><result><status>error</status><errcode>2204</errcode><errtext>System user initing was failed. Error: Your password is not complex enough. According to the server policy, the minimal password strength is Strong. To improve the password strength, use numbers, upper and lower-case characters, and special characters like !,@,#,$,%,^,&,*,?,_,~</errtext><filter-id>586</filter-id><id>586</id></result></set></webspace></packet>

2. La "seguridad mínima de la contraseña" es "Muy segura"

Existe un único caso en el que no se puede establecer una contraseña nueva para Plesk desde el panel de control de PBA-S: cuando la directiva en Plesk se ha establecido a "Muy segura". Este comportamiento se considera una incidencia de software. Su corrección se incluirá en las próximas actualizaciones de PBA-S, que se publicarán después del lanzamiento de la versión 4.5. Puede realizar un seguimiento de esta incidencia mediante el siguiente ID:

PBAS-29314 - Your password is not complex enough

Le recomendamos estar al corriente de las novedades más recientes de Parallels para proveedores de servicios. Para suscribirse a nuestro newsletter o gestionar sus preferencias de suscripción, use este formulario.

Resolución

1. La "seguridad mínima de la contraseña" es "Segura"

a) Existen dos formas de resolver el error:

  • Acceder al nodo Plesk donde reside el dominio en cuestión y cambiar la seguridad mínima de la contraseña a "Muy poco segura" (Plesk > Herramientas y configuración > Directiva de seguridad).

  • Restablezca la contraseña de Plesk directamente en la base de datos de PBA-S. Como esta incidencia requiere la realización de complejas manipulaciones, le recomendamos ponerse en contacto con el equipo de soporte técnico de Parallels.

    Los pedidos de PBA-S serán procesados una vez aplicados los cambios.

b) En Plesk, actualice las contraseñas FTP de los dominios de una de las siguientes formas:

  • El cliente puede actualizar la contraseña FTP de los dominios en el panel de control a través de Sitios web y dominios > Acceso FTP > %ftp_user% > Contraseña

  • El proveedor puede actualizar la contraseña FTP del dominio en el panel de administración de Plesk (Arriba > Director de servicios > Administrador de Plesk > Nodos > %plesk_node% > Configuración general > Acceso al panel de control de Parallels Plesk Panel) en Suscripciones > %domain.tld% > Administrar hosting > Sitios web y dominios > Acceso FTP > %ftp_user% > Contraseña

  • El administrador de Plesk puede actualizar la contraseña FTP del dominio en la línea de comandos. Para ello debe ejecutarse el siguiente comando en el nodo Plesk para así ver la contraseña actual del usuario FTP en el dominio %domain.tld%:

    [root@plesk_node ~]# mysql -uadmin -p`cat /etc/psa/.psa.shadow` psa -e"select d.name as domain, su.login as 'FTP login', a.type as 'FTP password type', a.password as 'FTP password' from domains d, sys_users su, accounts a, hosting h where d.id=h.dom_id and h.sys_user_id=su.id and su.account_id=a.id and d.name='%domain.tld%'"`
    

    Ejecute este comando en el nodo Plesk para actualizar la contraseña:

    [root@plesk_node ~]# /usr/local/psa/bin/domain --update %domain.tld% -passwd %strong_password%
    
  • El administrador de Plesk puede actualizar contraseñas FTP para todos los dominios mediante el Script de restablecimiento masivo de contraseñas de Plesk.

2. La "seguridad mínima de la contraseña" es "Muy segura"

Actualice PBA-S a la versión 4.5.2 cuando esta esté disponible.

a914db3fdc7a53ddcfd1b2db8f5a1b9c 56797cefb1efc9130f7c48a7d1db0f0c 400e18f6ede9f8be5575a475d2d6b0a6 caea8340e2d186a540518d08602aa065 85a92ca67f2200d36506862eaa6ed6b8 70a5401e8b9354cd1d64d0346f2c4a3e 29d1e90fd304f01e6420fbe60f66f838 624ca542e40215e6f1d39170d8e7ec75 bd7fc88cf1b01f097749ae6f87272128 0a53c5a9ca65a74d37ef5c5eaeb55d7f 514af229ae32522202a910a2649c80fb 46a8e394d6fa13134808921036a34da8 01bc4c8cf5b7f01f815a7ada004154a2 aea4cd7bfd353ad7a1341a257ad4724a

Email subscription for changes to this article
Save as PDF